﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="NVDAFocusTest.aspx.cs"
    Inherits="Practice.NVDAFocusTest" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>NVDA Focus Test Page</title>
    <script src="jquery.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            focusErrors();
        });

        function focusErrors() {
            var panelID = "errors";
            var panel = document.getElementById(panelID);

            if (panel)
                $(panel).focus();

            return false;
        }
        
    </script>

    <style type="text/css">
        select:focus, a:focus, input:focus, div:focus, #errors:focus, h2:focus
        {
            border: 2px solid red;
        }
    </style>
</head>
<body>
    <h1>NVDA Page Test</h1>
    <form id="form1" runat="server">
    <asp:Panel ID="pnlErrors" runat="server" Visible="false">
        <div id="errors" aria-labelledby="heading" tabindex="-1">
            <h2 id="heading">
                List of 3 errors:</h2>
            <ul>
                <li><a href="#">Error 1</a></li>
                <li><a href="#">Error 2</a></li>
                <li><a href="#">Error 3</a></li>
            </ul>
        </div>
    </asp:Panel>
    <p>
        Here is a paragraph of instructions.</p>
    <asp:Button ID="btnSubmit" runat="server" Text="Submit" OnClick="btnSubmit_OnClick" />
    </form>
</body>
</html>
